import { DetailedClub, SummaryActivity, SummaryAthlete, SummaryClub } from '../models';
import { Request } from '../request';
export declare type GetClubActivitiesByIdRequest = {
    id: number;
    page?: number;
    per_page?: number;
};
export declare type GetClubAdminsByIdRequest = {
    id: number;
    page?: number;
    per_page?: number;
};
export declare type GetClubByIdRequest = {
    id: number;
};
export declare type GetClubMembersByIdRequest = {
    id: number;
    page?: number;
    per_page?: number;
};
export declare type GetLoggedInAthleteClubsRequest = {
    page?: number;
    per_page?: number;
};
export declare class Clubs {
    private readonly request;
    constructor(request: Request);
    getClubActivitiesById(params: GetClubActivitiesByIdRequest, access_token?: string): Promise<SummaryActivity[]>;
    getClubAdminsById(params: GetClubAdminsByIdRequest, access_token?: string): Promise<SummaryAthlete[]>;
    getClubById(params: GetClubByIdRequest): Promise<DetailedClub>;
    getClubMembersById(params: GetClubMembersByIdRequest, access_token?: string): Promise<SummaryAthlete[]>;
    getLoggedInAthleteClubs(params?: GetLoggedInAthleteClubsRequest, access_token?: string): Promise<SummaryClub[]>;
}
